mysqli::get_connection_stats
mysqli::$protocol_version
mysqli
PHP Manual

# mysqli::$host_info

# mysqli_get_host_info

(PHP 5)

mysqli::$host_info -- mysqli_get_host_info — Returns a string representing the type of connection used

### Description

Object oriented style

string $mysqli->host_info;

Procedural style

string mysqli_get_host_info ( mysqli `$link` )

Returns a string describing the connection represented by the `link` parameter (including the server host name).

### Parameters

`link`

  Procedural style only: A link identifier returned by mysqli_connect() or mysqli_init()

### Return Values

A character string representing the server hostname and the connection type.

### Examples

Example #1 $mysqli->host_info example

Object oriented style

`<?php
$mysqli = new mysqli("localhost", "my_user", "my_password", "world");
/* check connection */
if (mysqli_connect_errno()) {
printf("Connect failed: %s\n", mysqli_connect_error());
exit();
}
/* print host information */
printf("Host info: %s\n", $mysqli->host_info);
/* close connection */
$mysqli->close();
?>`

Procedural style

`<?php
$link = mysqli_connect("localhost", "my_user", "my_password", "world");
/* check connection */
if (mysqli_connect_errno()) {
printf("Connect failed: %s\n", mysqli_connect_error());
exit();
}
/* print host information */
printf("Host info: %s\n", mysqli_get_host_info($link));
/* close connection */
mysqli_close($link);
?>`

The above examples will output:

    Host info: Localhost via UNIX socket

### See Also

- mysqli_get_proto_info() - Returns the version of the MySQL protocol used

mysqli::get_connection_stats
mysqli::$protocol_version
mysqli
PHP Manual